select
    cc.descricao as descricao_centro_custo
    , cc.numero as sigla_centro_custo
    , cc.dtinicio as inicio_centro_custo
    , cc.dtfim as fim_centro_custo
    , s.descricao as safra
    , s.dataini as inicio_safra
    , s.datafim as fim_safra
    , t.descricao as tipo_cultivo
from safra s
    left join centrocustosafra ccs on s.cdsafra = ccs.cdsafra
    left join centrocusto cc on cc.cdcentrocusto = ccs.cdcentrocusto
    left join tipocultivo t on t.cdtipocultivo = ccs.cdtipocultivo

